Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #737

overdrive reproducing gain with setting 0,0 dB
August 03, 2017 14:08 - Stanislaw Schmidt

Status: Rejected Start date: August 03, 2017
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/jack Estimated time: 0.00 hour
Target version: 3.9

Affects version: 3.9

Description

| use Audacious as my primary player, under Ubuntu.

| use jack with floating point setting.

When playing MP3, FLAC, WAV, and playing CD, Calf JACK and Jkmeter display overdrive even though | have set playback gain to
0.0 dB. | do not want to use any limiter (option "prevent overdrive") in order not to restrict playback dynamics, so | set playback gain
down to -7.5 dB.

It would be better if the reproduction gain were correct at 0.0 dB.

Thank you

History

#1 - August 03, 2017 14:21 - John Lindgren

- Assignee deleted (Thomas Lange)

So you turned off "prevent clipping" and you get clipping? Sounds like a non-bug to me.

#2 - August 03, 2017 14:55 - Stanislaw Schmidt

Yes | turned off "prevent clipping", Look at my attachment file Wiedergabeverstéarkung.png.

Function "prevent clipping" is a limitation of the signal, which causes compression with dynamic limitation.

Ich bin der Meinung, wenn eine Wiedergabeverstarkung auf 0,0 dB gesatzt ist, soll sie 0,0 dB nicht Gberschreiten.

| think that if a playback gain is set to 0.0 dB, it should not exceed 0.0 dB.

| also tried with the option "playback enhancement" switched off and turned off "prevent clipping", got the same result with overdriving the signal

#3 - August 03, 2017 15:47 - Stanislaw Schmidt
- File Wiedergabeverstadrkung .png added

Yes | turned off "prevent clipping”, Look at my attachment file Wiedergabeverstéarkung.png.

Function "prevent clipping" is a limitation of the signal, which causes compression with dynamic limitation.

I think that if a playback gain is set to 0.0 dB, it should not exceed 0.0 dB.

| also tried with the option "playback enhancement" switched off and turned off "prevent clipping", got the same result with overdriving the signal

#4 - August 04, 2017 01:19 - John Lindgren

- Status changed from New to Rejected

Prevent clipping does not compress the signal; it applies a constant volume factor every sample. You misunderstand what the options do and so you
are not using them correctly. It's understandable since there is not much documentation, but still not a bug.

#5 - August 04, 2017 08:29 - Stanislaw Schmidt
- File Wiedergabeverstdrkung .png added

The variant you prefer does not make what it should
| also tried with the option " Prevent clipping" , got the same result with overdriving the signal
I turned on "prevent clipping", Look at my attachment file Wiedergabeverstarkung.png.

#6 - August 04, 2017 18:23 - John Lindgren

There are many reasons you could be getting clipping. Please move your discussion to the forum and add more information (to start with: example
input file, complete configuration settings, and FileWriter output) so that other users can help you identify the cause.

Files

Wiedergabeverstarkung .png 566 KB August 03, 2017 Stanislaw Schmidt
Wiedergabeverstarkung .png 525 KB  August 03, 2017 Stanislaw Schmidt
Wiedergabeverstarkung .png 587 KB August 04, 2017 Stanislaw Schmidt
